ublas: boost::numeric::ublas::basic_row_major< Z, D > Struct Template Reference

# boost::numeric::ublas::basic_row_major< Z, D > Struct Template Reference

List of all members.

## Public Types
typedef Z | size_type
typedef D | difference_type
typedef row_major_tag | orientation_category
typedef basic_column_major< Z, D > | transposed_layout
## Static Public Member Functions
static BOOST_UBLAS_INLINE size_type | storage_size (size_type size_i, size_type size_j)
static BOOST_UBLAS_INLINE size_type | element (size_type i, size_type size_i, size_type j, size_type size_j)
static BOOST_UBLAS_INLINE size_type | address (size_type i, size_type size_i, size_type j, size_type size_j)
static BOOST_UBLAS_INLINE difference_type | distance_i (difference_type k, size_type, size_type size_j)
static BOOST_UBLAS_INLINE difference_type | distance_j (difference_type k, size_type, size_type)
static BOOST_UBLAS_INLINE size_type | index_i (difference_type k, size_type, size_type size_j)
static BOOST_UBLAS_INLINE size_type | index_j (difference_type k, size_type, size_type size_j)
static BOOST_UBLAS_INLINE bool | fast_i ()
static BOOST_UBLAS_INLINE bool | fast_j ()
template<class I >
static BOOST_UBLAS_INLINE void | increment_i (I &it, size_type, size_type size_j)
template<class I >
static BOOST_UBLAS_INLINE void | increment_i (I &it, difference_type n, size_type, size_type size_j)
template<class I >
static BOOST_UBLAS_INLINE void | decrement_i (I &it, size_type, size_type size_j)
template<class I >
static BOOST_UBLAS_INLINE void | decrement_i (I &it, difference_type n, size_type, size_type size_j)
template<class I >
static BOOST_UBLAS_INLINE void | increment_j (I &it, size_type, size_type)
template<class I >
static BOOST_UBLAS_INLINE void | increment_j (I &it, difference_type n, size_type, size_type)
template<class I >
static BOOST_UBLAS_INLINE void | decrement_j (I &it, size_type, size_type)
template<class I >
static BOOST_UBLAS_INLINE void | decrement_j (I &it, difference_type n, size_type, size_type)
static BOOST_UBLAS_INLINE size_type | triangular_size (size_type size_i, size_type size_j)
static BOOST_UBLAS_INLINE size_type | lower_element (size_type i, size_type size_i, size_type j, size_type size_j)
static BOOST_UBLAS_INLINE size_type | upper_element (size_type i, size_type size_i, size_type j, size_type size_j)
static BOOST_UBLAS_INLINE size_type | index_M (size_type index1, size_type)
static BOOST_UBLAS_INLINE size_type | index_m (size_type, size_type index2)
static BOOST_UBLAS_INLINE size_type | size_M (size_type size_i, size_type)
static BOOST_UBLAS_INLINE size_type | size_m (size_type, size_type size_j)

### template<class Z, class D>
struct boost::numeric::ublas::basic_row_major< Z, D >